.menu {
  height: 100%;
  display: flex;
  overflow: hidden;
  margin-top: 2rem;
  position: relative;
  flex-direction: column;
  box-sizing: border-box;
  scroll-snap-align: start;
  justify-content: space-between;
  padding: var(--header-height) 2rem 2rem;
}
@media screen and (min-width: 768px) {
  .menu {
    justify-content: center;
    padding: var(--header-height) 20% 2rem;
  }
}

.menu__dots {
  right: 0;
  top: 40px;
  width: 80px;
  z-index: -1;
  height: 80px;
  opacity: 0.5;
  position: absolute;
  pointer-events: none;
  color: var(--color-decorative-2);
  transform: translate(-50%, 50%) rotate(3deg);
}
@media screen and (min-width: 768px) {
  .menu__dots {
    right: 20%;
    width: 140px;
    height: 140px;
  }
}

.menu__borders {
  bottom: 0;
  left: 20px;
  z-index: -1;
  width: 120px;
  height: 120px;
  opacity: 0.2;
  position: absolute;
  pointer-events: none;
  border: var(--color-secondary) 1px solid;
  transform: translate(20%, -30%) rotate(40deg)
}
@media screen and (min-width: 768px) {
  .menu__borders {
    left: 5%;
    width: 250px;
    height: 250px;
  }
}

.menu__title {
  margin: 0;
  width: 100%;
  font-size: 4rem;
  line-height: 1.6;
  font-weight: 600;
  letter-spacing: 0.04em;
  color: var(--color-secondary);
  font-family: var(--font-secondary);
}

.menu__scroll {
  height: 100%;
  width: 100%;
  flex-grow: 1;
  display: flex;
  overflow: hidden;
  position: relative;
}
@media screen and (min-width: 768px) {
  .menu__scroll {
    height: auto;
    flex-grow: unset;
  }
}

.menu__body {
  height: 100%;
  display: flex;
  overflow: auto;
  min-width: 100%;
  max-width: 100%;
  flex-direction: column;
  background-color: var(--color-primary);
}
.menu__body.overflew:after {
  bottom: 0;
  width: 100%;
  content: '';
  height: 150px;
  position: absolute;
  pointer-events: none;
  background: linear-gradient(to bottom, rgba(255, 255, 255, 0), rgba(255, 255, 255, 1));
}

.menu__category {
  font-size: 1.7em;
  margin: 1em 0 0.3em;
  font-weight: 600;
}

.menu__list {
  gap: 1em 1.2em;
  padding: 0;
  display: flex;
  list-style: none;
  flex-direction: column;
}

.menu__item {
  display: grid;
  grid-row-gap: 0;
  align-items: center;
  align-content: center;
  grid-column-gap: 0.7em;
  grid-template-columns: auto auto auto 1fr;
  grid-template-areas: 'name weight allergens price' 'description description description description';
}

.menu__item-name {
  grid-area: name;
  line-height: 1.3;
  font-size: 1.3em;
  font-weight: 600;
}

.menu__item-description {
  font-size: 1em;
  font-weight: 400;
  font-style: italic;
  text-align: justify;
  grid-area: description;
  color: var(--color-secondary--shadow);
}

.menu__item-price {
  grid-area: price;
  font-size: 1.3em;
  font-weight: 600;
  text-align: right;
  margin-left: 1.4em;
  white-space: nowrap;
}

.menu__item-weight {
  grid-area: weight;
  color: var(--color-secondary--ghost);
}

.menu__item-allergens {
  margin-right: auto;
  grid-area: allergens;
  color: var(--color-secondary--ghost);
}

.menu__buttons {
  gap: 2rem;
  width: 100%;
  display: flex;
  margin: 2.4rem 0 0;
  align-items: center;
  align-self: flex-end;
  justify-content: space-between;
}

.menu__button {
  font-size: 1.3rem;
  align-self: center;
  padding: 1em 1.5em;
  align-items: center;
  display: inline-flex;
  text-decoration: none;
  justify-content: center;
  color: var(--color-secondary);
  background-color: transparent;
  border: var(--color-secondary) 1px solid;
}
@media screen and (min-width: 768px) {
  .menu__button {
    height: auto;
    flex-grow: unset;
    font-size: 1.6rem;
  }
}
.menu__button--next {
  margin-left: auto;
}
.menu__button.hidden {
  visibility: hidden;
}
.menu__button__icon {
  width: 2rem;
  height: 2rem;
  color: inherit;
  margin-right: 1.4rem;
}
@media screen and (min-width: 768px) {
  .menu__button__icon {
    width: 2.4rem;
    height: 2.4rem;
  }
}
.menu__button--next .menu__button__icon {
  margin-right: 0;
  margin-left: 2rem;
  transform: rotate(180deg);
}
